Skip to main content
GET
/
organizations
List Organizations
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations \
  --header 'Authorization: Bearer <token>'
{
  "limit": 10,
  "offset": 0,
  "organizations": [
    {
      "allowEnhancedSupportAccess": true,
      "createdAt": "2022-11-22T04:37:12Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "id": "clmaxoarx000008l2c5ayb9pt",
      "isScimEnabled": false,
      "name": "My organization",
      "shouldEnforceDedicatedClusters": true,
      "supportPlan": "BUSINESS_CRITICAL",
      "updatedAt": "2022-11-22T04:37:12Z",
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "billingEmail": "billing@company.com",
      "managedDomains": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "cln203mz7000008jv0jyz9m3y",
          "name": "mycompany.com",
          "organizationId": "cln204xr2000008mu3hhe3zwe",
          "status": "PENDING",
          "updatedAt": "2023-11-07T05:31:56Z",
          "enforcedLogins": [
            "password"
          ]
        }
      ],
      "paymentMethod": "CREDIT_CARD",
      "product": "HOSTED",
      "productPlans": [
        {
          "astronomerProduct": "ASTRO",
          "organizationId": "<string>",
          "productPlanId": "<string>",
          "productPlanName": "<string>"
        }
      ],
      "status": "ACTIVE",
      "trialExpiresAt": "2022-11-22T04:37:12Z"
    }
  ],
  "totalCount": 100
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

supportPlan
enum<string>

Filters the Organization list by support plan.

Available options:
TRIAL,
BASIC,
STANDARD,
PREMIUM,
BUSINESS_CRITICAL
productPlan
enum<string>

Filters the Organization list by product plan.

Available options:
TRIAL,
BASIC,
STANDARD,
PREMIUM,
BUSINESS_CRITICAL
astronomerProduct
enum<string>

filter by astronomer product, should be one of ASTRO or OBSERVE

Available options:
ASTRO,
OBSERVE
product
enum<string>

Filters the Organization list by product.

Available options:
HOSTED,
HYBRID
offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: 0 <= x <= 1000
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
name:asc,
name:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

limit
integer
required

The maximum number of Organizations in the page.

Example:

10

offset
integer
required

The offset of the Organizations in the page.

Example:

0

organizations
object[]
required

The list of Organizations in the page.

totalCount
integer
required

The total number of Organizations.

Example:

100